## psmisc 16

=== Makefile ===
CC=cc
CFLAGS=-O -DPSMISC_VERSION=\"`cat VERSION`\" \
  -Wall -Wno-parentheses -Wwrite-strings -Wpointer-arith \
  # -Wcast-align -Wconversion -g
LDFLAGS=#-s -N #-Xlinker -qmagic
REAL_CPP=/lib/cpp
PROGS=killall pstree fuser
EBINDIR=/bin		# essential binaries
BINDIR=/usr/bin		# not so essential ones
MANDIR=/usr/man/man1	# all man pages

all:		$(PROGS)

signames.h:	/usr/include/signal.h
		$(REAL_CPP) -dM </usr/include/signal.h | \
		tr -s '\t ' '  ' | sort -n +2 | sed \
	's:#define SIG\([A-Z]\+[0-9]*\) \([0-9]\+\) *\(\|/\*.*\)$$:{\
\2,"\1" },:p;d' \
		  > signames.h

signals.o:	signals.h signals.c signames.h Makefile

fuser.o:	fuser.c comm.h signals.h Makefile VERSION
killall.o:	killall.c comm.h signals.h Makefile VERSION

fuser:		fuser.o signals.o
killall:	killall.o signals.o

pstree:		pstree.c comm.h Makefile VERSION
		$(CC) $(CFLAGS) $(LDFLAGS) -o pstree pstree.c -ltermcap

install:	$(PROGS)
#		EBINDIR is expected to exist, so we don't try to create it
		install -o 0 -g 0 -m 555 fuser $(EBINDIR)
		[ -d $(BINDIR) ] || install -d -o 0 -g 0 -m 755 $(BINDIR)
		install -o 0 -g 0 -m 555 killall $(BINDIR)
		install -o 0 -g 0 -m 555 pstree $(BINDIR)
		[ -d $(MANDIR) ] || install -d -o 0 -g 0 -m 755 $(MANDIR)
		install -o 0 -g 0 -m 444 fuser.1 $(MANDIR)
		install -o 0 -g 0 -m 444 killall.1 $(MANDIR)
		install -o 0 -g 0 -m 444 pstree.1 $(MANDIR)

install-pidof:
		@[ -x `echo $(BINDIR)`/killall ] || { \
		  echo "Need `echo $(BINDIR)`/killall to install pidof"; \
		  exit 1 }
		ln -sf killall `echo $(BINDIR)`/pidof
		install -o 0 -g 0 -m 444 pidof.1 $(MANDIR)

clean:
		rm -f *.o signames.h

spotless:	clean
		rm -f $(PROGS)

## psmisc 19

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
 CC=cc
 CFLAGS=-O -DPSMISC_VERSION=\"`cat VERSION`\" \
+  -D_GNU_SOURCE \
   -Wall -Wno-parentheses -Wwrite-strings -Wpointer-arith \
   # -Wcast-align -Wconversion -g
 LDFLAGS=#-s -N #-Xlinker -qmagic
-REAL_CPP=/lib/cpp
+REAL_CPP=cc -E
 PROGS=killall pstree fuser
 EBINDIR=/bin		# essential binaries
 BINDIR=/usr/bin		# not so essential ones
@@ -12,11 +13,14 @@
 all:		$(PROGS)
 
 signames.h:	/usr/include/signal.h
-		$(REAL_CPP) -dM </usr/include/signal.h | \
-		tr -s '\t ' '  ' | sort -n +2 | sed \
+		$(REAL_CPP) -dM - </usr/include/signal.h | \
+		tr -s '\t ' ' ' | sort -n +2 | sed \
 	's:#define SIG\([A-Z]\+[0-9]*\) \([0-9]\+\) *\(\|/\*.*\)$$:{\
-\2,"\1" },:p;d' \
-		  > signames.h
+\2,"\1" },:p;d' | \
+		  grep -v '[0-9][0-9][0-9]' >signames.h || \
+		  { rm -f signames.h; exit 1; }
+		grep '^{ 1,"HUP" },$$' signames.h >/dev/null || \
+		  { rm -f signames.h; exit 1; }
 
 signals.o:	signals.h signals.c signames.h Makefile
 
@@ -43,7 +47,7 @@
 install-pidof:
 		@[ -x `echo $(BINDIR)`/killall ] || { \
 		  echo "Need `echo $(BINDIR)`/killall to install pidof"; \
-		  exit 1 }
+		  exit 1; }
 		ln -sf killall `echo $(BINDIR)`/pidof
 		install -o 0 -g 0 -m 444 pidof.1 $(MANDIR)

## psmisc 22.15

=== debian/changelog ===
psmisc (22.15-2ubuntu1.2) precise; urgency=low

  * Backport of upstream fix:
    - Fix killall with 65 arguments (LP: #1507681)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 07 Jun 2016 11:36:17 -0700

psmisc (22.15-2ubuntu1.1) precise-proposed; urgency=low

  * Backport from 22.16:
    - Fix matching long commands in killall (LP: #970638).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Jul 2012 17:57:23 +0100

psmisc (22.15-2ubuntu1) precise; urgency=low

  * Build-depend on gettext:any, since we only need it to run tools at
    build-time.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 31 Mar 2012 01:56:13 +0100

psmisc (22.15-2) unstable; urgency=low

  * Removed strcpy buffer overflow in pstree Closes: #657527

 -- Craig Small <csmall@debian.org>  Fri, 27 Jan 2012 08:53:36 +1100

psmisc (22.15-1) unstable; urgency=low

  * New upstream release
    - Use ENOENT not EBADE for FreeBSD Closes: #631566
    - Really apply fuser -s patch Closes: #606177
  * Don't install peekfd.1 on kfreebsd Closes: #609842
  * fuser: silence if read error is ENOENT Closes: #629048
  * Updated to debhelper compat 9
  * Changed copyright format to DEP-5

 -- Craig Small <csmall@debian.org>  Thu, 26 Jan 2012 18:21:05 +1100

psmisc (22.14-1) unstable; urgency=low

  * New upstream release, many fixes including:
      killall creates right size buffer instead of MAX_PATH Closes: #623425
      fuser understands IPv6 addresses, removed comment in fuser.1 that it
      doesn't Closes: #609904
  * Updated to standards 3.9.2 no change

 -- Craig Small <csmall@debian.org>  Mon, 20 Jun 2011 22:28:44 +1000

psmisc (22.13-1) unstable; urgency=low

  * New upstream release
    -  patch configure so pt_regs isn't used on SuperH. Fix by 
       Nobuhiro Iwamatsu in Closes: #588986
    -  Cannot build peekfd on mips only mipsel, hopefully will unblock mips
       buildd
  * Updated to standards version 3.9.1, no changes

 -- Craig Small <csmall@debian.org>  Mon, 06 Sep 2010 13:35:21 +1000

psmisc (22.12-1) unstable; urgency=low

  * New upstream release
   - In fuser, switched the ipv6 and ipv4 checks around Closes: #581604
   - pstree -a doesn't segfault on grsec kernels Closes: #588152
  * Updated to standards version 3.9.0

 -- Craig Small <csmall@debian.org>  Mon, 12 Jul 2010 21:39:03 +1000

psmisc (22.11-1) unstable; urgency=low

  * New upstream release
    - Another attempted at killall -SIGNAME Closes: #573924

 -- Craig Small <csmall@debian.org>  Fri, 09 Apr 2010 21:24:58 +1000

psmisc (22.10-1) unstable; urgency=low

  * New upstream release
    - fuser -k -m ... won't kill itself Closes: #562767
    - fuser -NAME fixed Closes: #563388
    - Reversed normal file fuser -k check Closes: #563387

 -- Craig Small <csmall@debian.org>  Mon, 04 Jan 2010 21:43:16 +1100

psmisc (22.9-1) unstable; urgency=low

  * New upstream release
    - short option l returned in fuser Closes: #539087
    - long options terminated with 0s Closes: #551833
    - Fixed killall options for VTALRM and ILL Closes: #559011
    - pstree -a does not compact threads Closes: #525632
    - new program prtstat which prints contents of /proc/<pid>/stat
      Closes: #281706
    - killall restricts by date. Thanks to George Danchev Closes: #544657
    - New fuser -M option limits -m to top of mount points
  * Updated to standards version 3.8.3
  * Moved to debhelper compat 7 and simpler rules

 -- Craig Small <csmall@debian.org>  Sun, 27 Dec 2009 18:36:35 +1100

psmisc (22.8-1) unstable; urgency=low

  * New upstream release
   - fuser will print mounts,nfs exports and swaps with -v Closes: #356655
   - pstree and fuser have long options Closes: #517412
   - Fixed pstree -a off-by-one error in buffer, Closes: #536243

 -- Craig Small <csmall@debian.org>  Sat, 25 Jul 2009 09:40:01 +1000

psmisc (22.7-1) unstable; urgency=low

  * New upstream release
    - Changed fuser.1 so signal is SIGNAL to reduce confusion about wether
      or not it is a parameter Closes: #517413
    - fuser.1 references pkill(1) Closes: #517414
    - Clarified -m and -c for fuser Closes: #467289
    -  Patch from Arnaud Giersch to fix udp ports in fuser Closes: #502208
    - pstree man page mentions -Z may not be available Closes: #478327
    - pstree handles UTF-8 lengths much better Closes: #413503
    - killall says no process found when process not found Closes: #500097
    - pstree makes a bigger buffer for -al flags Closes: #352603
    - peekfd off by one problem in fds Closes: #460530
    - oldfuser removed Closes: #502212
  * Changed rules for for cross-build support Closes: #465226
  * Updated copyright file Closes: #517410
  * updated package description Closes: #485693

 -- Craig Small <csmall@debian.org>  Sun, 10 May 2009 16:13:36 +1000

psmisc (22.6-1) unstable; urgency=low

  * New upstream release
  *  killall.1 mentions you can use -SIGxxx Closes: #431082
  *  peekfd works for x86_64 and PPC
  * Updated menu entry

 -- Craig Small <csmall@debian.org>  Sun, 04 Nov 2007 17:42:30 +1100

psmisc (22.5-1) unstable; urgency=low

  * New upstream release

 -- Craig Small <csmall@debian.org>  Mon, 23 Apr 2007 22:14:16 +1000

psmisc (22.4-1) unstable; urgency=low

  * New upstream release
  *  fuser correctly parses remote TCP ports Closes: #397033
  *  Removed extra blank lines in fuser Closes: #386564
  *  Added peekfd
  *  killall using a path doesnt check inodes

 -- Craig Small <csmall@debian.org>  Tue, 17 Apr 2007 22:09:11 +1000

psmisc (22.3-1) unstable; urgency=low

  * New upstream release
  *   Typo fixed in fuser man page Closes: #358880
  *   Return code set correctly in silent mode Closes: #361639
  * Updated standards to 3.7.2

 -- Craig Small <csmall@debian.org>  Wed,  9 Aug 2006 21:34:49 +1000

psmisc (22.2-1) unstable; urgency=low

  * New upstream release
  *  Finds unix sockets on all arches, Closes: #338868
  *  Swedish PO file updated Closes: #348140
  * Moved to debhelper v5



=== debian/control ===
Source: psmisc
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer:  Craig Small <csmall@debian.org>
Build-Depends: debhelper (>= 9.0.0), libncurses-dev, gettext:any
Standards-Version: 3.9.2

Package: psmisc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: procps (<< 1:1.2)
Description: utilities that use the proc file system
 This package contains miscellaneous utilities that use the proc FS:
 .
  - fuser: identifies processes that are using files or sockets.
  - killall: kills processes by name (e.g. "killall -HUP named").
  - peekfd: shows the data traveling over a file descriptor.
  - pstree: shows currently running processes as a tree.
  - prtstat: print the contents of /proc/<pid>/stat
Homepage: http://psmisc.sf.net/

## psmisc 22.16

=== debian/changelog ===
psmisc (22.16-1~bpo60+1) squeeze; urgency=low

  * Backport for Debian 6.0

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 Mar 2012 12:31:28 +0100

psmisc (22.16-1) unstable; urgency=low

  * New upstream release
  * previous strcpy buffer fix broke long command matches
    this release fixes both Closes: #661145, #657543

 -- Craig Small <csmall@debian.org>  Sun, 26 Feb 2012 17:07:06 +1100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: psmisc
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer:  Craig Small <csmall@debian.org>
-Build-Depends: debhelper (>= 9.0.0), libncurses-dev, gettext:any
+Maintainer:  Craig Small <csmall@debian.org>
+Build-Depends: debhelper (>= 8), libncurses-dev, gettext
 Standards-Version: 3.9.2
 
 Package: psmisc

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mv debian/psmisc/usr/bin/fuser debian/psmisc/bin/fuser
	if [ "$(DEB_HOST_ARCH_OS)" = "kfreebsd" ] ; then \
	  rm debian/psmisc/usr/share/man/man1/peekfd.1 ; \
	fi

## psmisc 22.19

=== debian/changelog ===
psmisc (22.19-1ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Build-depend on gettext:any, since we only need it to run tools at
      build-time.
    - Build-depend on autopoint.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 03 Jul 2012 11:31:59 +0100

psmisc (22.19-1) unstable; urgency=medium

  * Stop killall killing all Closes: #678357

 -- Craig Small <csmall@debian.org>  Fri, 22 Jun 2012 07:11:45 +1000

psmisc (22.18-1ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Build-depend on gettext:any, since we only need it to run tools at
      build-time.
    - Build-depend on autopoint.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Jun 2012 11:15:06 +0100

psmisc (22.18-1) unstable; urgency=low

  * New upstream release
   - assert in killall triggered for small lifetimes Closes: #628617
   - killall MAX_NAMES off by one Closes: #677428

 -- Craig Small <csmall@debian.org>  Sun, 17 Jun 2012 16:13:55 +1000

psmisc (22.17-2ubuntu2) quantal; urgency=low

  * Build-depend on autopoint.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Jun 2012 19:12:22 +0100

psmisc (22.17-2ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Build-depend on gettext:any, since we only need it to run tools at
      build-time.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Jun 2012 14:10:59 +0100

psmisc (22.17-2) unstable; urgency=low

  * Added line in configure.ac for target_os Closes: #673485

 -- Craig Small <csmall@debian.org>  Sun, 10 Jun 2012 17:39:03 +1000

psmisc (22.17-1) unstable; urgency=low

  * New upstream release
    - fuser uses correct timeout_stat define Closes: #661723
    - fuser is not compiled on hurd-i386 Closes: #673485


 -- Craig Small <csmall@debian.org>  Sat, 02 Jun 2012 16:09:01 +1000

psmisc (22.16-1ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Build-depend on gettext:any, since we only need it to run tools at
      build-time.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 May 2012 12:57:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: psmisc
 Section: admin
 Priority: optional
-Maintainer:  Craig Small <csmall@debian.org>
-Build-Depends: debhelper (>= 8), libncurses-dev, gettext
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer:  Craig Small <csmall@debian.org>
+Build-Depends: debhelper (>= 9.0.0), libncurses-dev, gettext:any, autopoint
+Standards-Version: 3.9.3
 
 Package: psmisc
 Architecture: any

## psmisc 22.20

=== debian/changelog ===
psmisc (22.20-1ubuntu2) raring; urgency=low

  * Revert build-dependency from gettext:any to gettext, now that gettext is
    Multi-Arch: foreign.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 29 Nov 2012 15:24:33 +0000

psmisc (22.20-1ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Build-depend on gettext:any, since we only need it to run tools at
      build-time.
    - Build-depend on autopoint.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 29 Oct 2012 10:08:41 +0000

psmisc (22.20-1) unstable; urgency=low

  * New upstream release
    - pstree sorts properly on names Closes: #682014
    - pstree finds pid 0 stops looping Closes: #687829

 -- Craig Small <csmall@debian.org>  Thu, 20 Sep 2012 22:19:44 +1000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer:  Craig Small <csmall@debian.org>
-Build-Depends: debhelper (>= 9.0.0), libncurses-dev, gettext:any, autopoint
+Build-Depends: debhelper (>= 9.0.0), libncurses-dev, gettext, autopoint
 Standards-Version: 3.9.3
 
 Package: psmisc

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	if [ -f "debian/psmisc/usr/bin/fuser" ] ; then \
	  mv debian/psmisc/usr/bin/fuser debian/psmisc/bin/fuser ; \
	else \
	  rm -f debian/psmisc/usr/share/man/man1/fuser.1 ; \
	fi
	if [ "$(DEB_HOST_ARCH_OS)" = "kfreebsd" ] ; then \
	  rm -f debian/psmisc/usr/share/man/man1/peekfd.1 ; \
	fi

## psmisc 22.21

=== debian/changelog ===
psmisc (22.21-2.1ubuntu0.1) xenial; urgency=medium

  * d/p/fix-pstree-seg-fault.patch: Fix pstree segfault (LP: #1837444)

 -- Lucas Kanashiro <lucas.kanashiro@canonical.com>  Mon, 12 Aug 2019 17:44:51 -0300

psmisc (22.21-2.1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 12:47:50 +0000

psmisc (22.21-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Enable SELinux support on linux architectures (Closes: #751991)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 17 Aug 2015 15:18:05 +0200

psmisc (22.21-2) unstable; urgency=medium

  * Fixed fuser -M typo Closes: #740275 thanks Brad

 -- Craig Small <csmall@debian.org>  Fri, 28 Feb 2014 21:57:20 +1100

psmisc (22.21-1) unstable; urgency=medium

  * New upstream release
    - Missing comma in fuser(1) added Closes: #702391
    - pstree uses COLUMN env variable Closes: #717017
    - fuser -m and -M flags work either way Closes: #606178
  * Added Multi-Arch: foreign to control Closes: #698948
  * Updated to standards version 3.9.5, no changes

 -- Craig Small <csmall@debian.org>  Sun, 16 Feb 2014 22:25:22 +1100

## psmisc 23.1

=== debian/changelog ===
psmisc (23.1-1) unstable; urgency=medium

  * New upstream source
  * killall: Remove debug output Closes: #864753
  * docs: distribute pslog.1
  * docs: distribute README.md Closes: #864752

 -- Craig Small <csmall@debian.org>  Fri, 16 Jun 2017 06:54:49 +1000

psmisc (23.0-1) unstable; urgency=medium

  * New upstream release
  * New program: pslog to see what logs are option
  * pstree: Removed need for PATH_MAX Closes: #750405
  * killall: Fix process age race condition Closes: #822861
  * prtstat: Remove duplicate options in man page Closes: #846387
  * killall: comm parser more robust
  * killall: only kill processes in same namespace by default

 -- Craig Small <csmall@debian.org>  Mon, 12 Jun 2017 11:46:48 +1000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: psmisc
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer:  Craig Small <csmall@debian.org>
-Build-Depends: debhelper (>= 9.0.0), libncurses-dev, gettext, autopoint
-Standards-Version: 3.9.3
+Maintainer:  Craig Small <csmall@debian.org>
+Build-Depends: debhelper (>= 9.0.0), libncurses-dev, gettext, libselinux1-dev [linux-any]
+Standards-Version: 3.9.5
 
 Package: psmisc
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: procps (<< 1:1.2)
 Description: utilities that use the proc file system

## psmisc 23.2

=== debian/changelog ===
psmisc (23.2-1+deb10u1) buster; urgency=medium

  * Team upload.
  * Fix regression in killall not matching process with names bigger than 15
    characters by backporting the upstream patch that restores the check
    that works on kernels that have TASK_COMM_LEN set to 16. Closes: #912748

 -- Raphaël Hertzog <raphael@freexian.com>  Mon, 16 Aug 2021 11:17:53 +0200

psmisc (23.2-1) unstable; urgency=medium

  * New upstream release
  * killall: look at all namespaces by default
  * killall: proper signal name parsing
  * docs: Fix fuser.1 groff errors Closes: #900225
  * pslog: Define PATH_MAX if required Closes: #905797
  * Update to Debian standards 4.2.1

 -- Craig Small <csmall@debian.org>  Mon, 24 Sep 2018 20:28:42 +1000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer:  Craig Small <csmall@debian.org>
-Build-Depends: debhelper (>= 9.0.0), libncurses-dev, gettext, libselinux1-dev [linux-any]
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 11), libncurses-dev, gettext, libselinux1-dev [linux-any]
+Standards-Version: 4.2.1
 
 Package: psmisc
 Architecture: any

## psmisc 23.2.2

=== debian/changelog ===
psmisc (23.2.2-1+deepin) unstable; urgency=low

  * ['Autobuild release-candidate: 06c7f22f578ef6da5a72b55e9c944a8c24898bc4']

 -- shuttle <shuttle@deepin.com>  Sat, 14 Dec 2019 20:30:45 +0000

## psmisc 23.3

=== debian/changelog ===
psmisc (23.3-1) unstable; urgency=medium

  * New upstream release
  * Handle truncated comm names Closes: #912748

 -- Craig Small <csmall@debian.org>  Tue, 12 Nov 2019 22:16:21 +1100

psmisc (23.2-3) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Add Vcs-* field

  [ Craig Small ]
  * Update to standards 4.4.1

 -- Craig Small <csmall@debian.org>  Fri, 18 Oct 2019 14:44:34 +1100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Priority: optional
 Maintainer:  Craig Small <csmall@debian.org>
 Build-Depends: debhelper (>= 11), libncurses-dev, gettext, libselinux1-dev [linux-any]
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/debian/psmisc
+Vcs-Git: https://salsa.debian.org/debian/psmisc.git
 
 Package: psmisc
 Architecture: any

## psmisc 23.4

=== debian/changelog ===
psmisc (23.4-2build3) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:29:37 +0100

psmisc (23.4-2build2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:22:34 +0200

psmisc (23.4-2build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:20:43 +0000

psmisc (23.4-2) unstable; urgency=medium

  * replace/conflict with manpages-de Closes: #982059

 -- Craig Small <csmall@debian.org>  Mon, 08 Feb 2021 21:19:04 +1100

psmisc (23.4-1) unstable; urgency=medium

  * New upstream release
  * Update to standards 4.5.1 no change
  * Update to debhelper v13

 -- Craig Small <csmall@debian.org>  Sat, 06 Feb 2021 11:21:39 +1100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: psmisc
 Section: admin
 Priority: optional
-Maintainer:  Craig Small <csmall@debian.org>
-Build-Depends: debhelper (>= 11), libncurses-dev, gettext, libselinux1-dev [linux-any]
-Standards-Version: 4.4.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer:  Craig Small <csmall@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dejagnu, gettext,
+               libncurses-dev, gettext, libselinux1-dev [linux-any]
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian/psmisc
 Vcs-Git: https://salsa.debian.org/debian/psmisc.git
 
@@ -11,7 +14,8 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: procps (<< 1:1.2)
+Breaks: manpages-de (<< 4.9.1-1)
+Replaces: manpages-de (<< 4.9.1-1)
 Description: utilities that use the proc file system
  This package contains miscellaneous utilities that use the proc FS:
  .

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,15 @@
 #!/usr/bin/make -f
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
+ifeq ($(DEB_BUILD_ARCH_OS),linux)
+CONFIGURE_FLAGS = --enable-selinux
+endif
+
 %:
 	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- ${CONFIGURE_FLAGS}
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/tests/control ===
Tests: version
Restrictions: superficial

## psmisc 23.5

=== debian/changelog ===
psmisc (23.5-3) unstable; urgency=medium

  * killall: Add fall through for pidfd_send_signal Closes: #1015228
  * Update standards version to 4.6.1, no changes needed.

 -- Craig Small <csmall@debian.org>  Mon, 25 Jul 2022 19:21:16 +1000

psmisc (23.5-2) unstable; urgency=medium

  * Fix DEJAGNU workaround Closes: #1015089

 -- Craig Small <csmall@debian.org>  Sun, 17 Jul 2022 21:48:01 +1000

psmisc (23.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Strip unusual field spacing from debian/control.
  * Set Homepage field in Source rather than Binary package.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

  [ Craig Small ]
  * New upstream release

 -- Craig Small <csmall@debian.org>  Mon, 09 May 2022 21:09:28 +1000

## psmisc 23.6

=== debian/changelog ===
psmisc (23.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove unnecessary 'Testsuite: autopkgtest' header.

  [ Craig Small ]
  * New upstream source
  * Add more autopkgtest tests for killall and fuser
  * killall: Fallback to kill() Closes: #1015228

 -- Craig Small <csmall@debian.org>  Tue, 13 Dec 2022 16:27:51 +1100

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+
 
 ifeq ($(DEB_BUILD_ARCH_OS),linux)
 CONFIGURE_FLAGS = --enable-selinux
@@ -10,6 +11,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- ${CONFIGURE_FLAGS}
+	# Tell blhc to ignore the signal name extraction
+	@echo 'blhc: ignore-line-regexp: .*gcc -E -dM src/signames.c.*'
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/v(\d\S+)\/psmisc.*\.tar\.gz/psmisc-$1\.tar\.gz/g \
  https://gitlab.com/psmisc/psmisc/tags?sort=updated_desc .*/archive/v(\d\S+)/.*\.tar\.gz.*

## psmisc 23.7

=== debian/changelog ===
psmisc (23.7-2ubuntu1) questing; urgency=medium

  * d/t/version: don't look for peekfd if running on riscv64 (LP:#2105849)
  * d/rules: don't ship the peekfd manpage on systems where the binary is not
    built
  * d/p/comment-temporary-failing-tests.patch: Comment tests
    failing due to (LP: #2113983)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Fri, 13 Jun 2025 01:45:19 -0300

psmisc (23.7-2) unstable; urgency=medium

  * Update watch file Closes: #1069814

 -- Craig Small <csmall@debian.org>  Fri, 14 Feb 2025 20:14:05 +1100

psmisc (23.7-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Drop the Debian menu file, and stop shipping the pixmaps for it:
    - the Debian menu is deprecated for some years already
    - the menu items are for a terminal, and generally GUI environments have
      their own process listing application

  [ Craig Small ]
  * New upstream release
    - fuser: Fallback to stat() if no statx() Closes: 1030747
    - fuser: silently ignore EACCES when scanning proc directories
      Closes: #1063444
    - killall: small formatting fixes Closes: #1037231

 -- Craig Small <csmall@debian.org>  Sun, 03 Mar 2024 22:45:32 +1100

psmisc (23.6-2) unstable; urgency=medium

  * Install fuser into /usr (DEP17 M2) Closes: #1060359
    Thanks to Chris Hofstaedtler for the patch

 -- Craig Small <csmall@debian.org>  Sat, 13 Jan 2024 13:56:53 +1100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: admin
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer:  Craig Small <csmall@debian.org>
+XSBC-Original-Maintainer: Craig Small <csmall@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dejagnu, gettext,
                libncurses-dev, gettext, libselinux1-dev [linux-any]
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/psmisc
 Vcs-Git: https://salsa.debian.org/debian/psmisc.git
+Homepage: http://psmisc.sf.net/
 
 Package: psmisc
 Architecture: any
@@ -24,4 +25,3 @@
   - peekfd: shows the data traveling over a file descriptor.
   - pstree: shows currently running processes as a tree.
   - prtstat: print the contents of /proc/<pid>/stat
-Homepage: http://psmisc.sf.net/

=== debian/rules ===
--- 
+++ 
@@ -16,11 +16,9 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	if [ -f "debian/psmisc/usr/bin/fuser" ] ; then \
-	  mv debian/psmisc/usr/bin/fuser debian/psmisc/bin/fuser ; \
-	else \
+	if [ ! -f "debian/psmisc/usr/bin/fuser" ] ; then \
 	  rm -f debian/psmisc/usr/share/man/man1/fuser.1 ; \
 	fi
-	if [ "$(DEB_HOST_ARCH_OS)" = "kfreebsd" ] ; then \
+	if [ ! -f "debian/psmisc/usr/bin/peekfd" ] ; then \
 	  rm -f debian/psmisc/usr/share/man/man1/peekfd.1 ; \
 	fi

=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s/.*\/archive\/v(\d\S+)\/psmisc.*\.tar\.gz/psmisc-$1\.tar\.gz/g \
  https://gitlab.com/psmisc/psmisc/tags?sort=updated_desc \
  /psmisc/psmisc/-/archive/[Vv]?(\d[\.\d]*)/[^/]*\.tar\.gz
